summary refs log tree commit diff
path: root/home/.local/bin
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xhome/.local/bin/wiki7
1 files changed, 7 insertions, 0 deletions
diff --git a/home/.local/bin/wiki b/home/.local/bin/wiki
new file mode 100755
index 00000000..c4308098
--- /dev/null
+++ b/home/.local/bin/wiki
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -eu
+
+curl -Gs 'https://en.wikipedia.org/w/api.php' \
+    -d 'action=opensearch' --data-urlencode "search=$1" \
+    | jq -r '.[2][]' \
+    | sed -En "s/^([^ ]| [^i]| i[^s]| is[^ ])* is /It's not a $1, what we need is /p"
78866a35b19d0c8076682b46fec59&follow=1'>Make author consistent and update URLsJune McEnroe 2019-07-12Move to www/text.causal.agencyJune McEnroe 2019-07-12Add new causal.agency with shotty shotsJune McEnroe 2019-07-12Use -s to infer terminal sizeJune McEnroe 2019-07-12Add DCH to shottyJune McEnroe This makes htop mostly work. Scrolling region still missing. 2019-07-12Support insert mode in shottyJune McEnroe This is how curses puts characters into the bottom-right cell of the terminal. 2019-07-11Don't do carriage return on line feedJune McEnroe 2019-07-11Interpret 256color-style SGRsJune McEnroe 2019-07-11Use inline style rather than <b>, <i>, <u>June McEnroe 2019-07-11Factor out clearJune McEnroe 2019-07-11Add bright option to shottyJune McEnroe 2019-07-11Output <b>, <i>, <u> in shottyJune McEnroe 2019-07-10Ignore SM and RMJune McEnroe 2019-07-09Add shotty man page and build itJune McEnroe 2019-07-09Add up -cJune McEnroe 2019-07-09Add options for default colors to shottyJune McEnroe 2019-07-08Use char literals consistentlyJune McEnroe